package org.dromara.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serial;

/**
 * 故障管理对象 tbl_breakdown
 *
 * @author Lion Li
 * @date 2024-08-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("tbl_breakdown")
public class TblBreakdown extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 故障名称
     */
    private String name;

    /**
     * 故障值
     */
    private String val;

    /**
     * 设备id
     */
    private Long sensorId;

    /**
     * 故障设备
     */
    private String sensorName;

    /**
     * 故障内容
     */
    private String content;

    /**
     * 处理人
     */
    private String handler;

    /**
     * 处理方式
     */
    private String handlerWay;

    /**
     * 处理描述
     */
    private String handlerContent;

    /**
     * 处理时间
     */
    private Date handlerTime;

    /**
     * 故障时间
     */
    private Date faultTime;

    /**
     * 状态
     */
    private String status;

    /**
     * 备注
     */
    private String remark;


}
