package org.dromara.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 规则对象 tbl_rules
 *
 * @author Lion Li
 * @date 2024-08-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("tbl_rules")
public class TblRules extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 规则名称
     */
    private String name;

    /**
     * 规则路由
     */
    private String routes;

    /**
     * 备注
     */
    private String remark;

    /**
     * 扩展1
     */
    private String ext1;

    /**
     * 扩展2
     */
    private String ext2;

    /**
     * 状态  0未启用 1启用 
     */
    private String status;


}
