package org.dromara.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 传感器实时数据对象 tbl_sensor_record
 *
 * @author Lion Li
 * @date 2024-08-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("tbl_sensor_record")
public class TblSensorRecord extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 传感器id
     */
    private Long sensorId;

    /**
     * 测点名
     */
    private String pointName;

    /**
     * 测点数值
     */
    private String pointValue;


}
