package org.dromara.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serial;

/**
 * 告警管理对象 tbl_warn
 *
 * @author Lion Li
 * @date 2024-08-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("tbl_warn")
public class TblWarn extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 告警名称
     */
    private String name;

    /**
     * 告警值
     */
    private String val;

    /**
     * 设备id
     */
    private Long sensorId;

    /**
     * 告警设备
     */
    private String sensorName;

    /**
     * 告警内容
     */
    private String content;

    /**
     * 处理人
     */
    private String handler;

    /**
     * 处理方式
     */
    private String handleWay;

    /**
     * 处理描述
     */
    private String handleContent;

    /**
     * 处理时间
     */
    private Date handleTime;

    /**
     * 告警时间
     */
    private Date alarmTime;

    /**
     * 状态 0待处理  1已处理
     */
    private String status;

    /**
     * 备注
     */
    private String remark;


}
