package org.dromara.domain.bo;

import org.dromara.domain.TblBreakdown;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 故障管理业务对象 tbl_breakdown
 *
 * @author Lion Li
 * @date 2024-08-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = TblBreakdown.class, reverseConvertGenerate = false)
public class TblBreakdownBo extends BaseEntity {

    /**
     * 
     */
    private Long id;

    /**
     * 故障名称
     */
    private String name;

    /**
     * 故障值
     */
    private String val;

    /**
     * 设备id
     */
    private Long sensorId;

    /**
     * 故障设备
     */
    private String sensorName;

    /**
     * 故障内容
     */
    private String content;

    /**
     * 处理人
     */
    private String handler;

    /**
     * 处理方式
     */
    private String handlerWay;

    /**
     * 处理描述
     */

    private String handlerContent;

    /**
     * 处理时间
     */

    private Date handlerTime;

    /**
     * 故障时间
     */
    private Date faultTime;

    /**
     * 状态
     */
    private String status;

    /**
     * 备注
     */
    private String remark;


}
