package org.dromara.domain.bo;

import org.dromara.domain.TblRules;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 规则业务对象 tbl_rules
 *
 * @author Lion Li
 * @date 2024-08-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = TblRules.class, reverseConvertGenerate = false)
public class TblRulesBo extends BaseEntity {

    /**
     * 编号
     */
    private Long id;

    /**
     * 规则名称
     */
    private String name;

    /**
     * 规则路由
     */
    private String routes;

    /**
     * 备注
     */
    private String remark;

    /**
     * 扩展1
     */
    private String ext1;

    /**
     * 扩展2
     */
    private String ext2;

    /**
     * 状态  0未启用 1启用 
     */
    private String status;


}
