package org.dromara.domain.bo;

import org.dromara.domain.TblRulesNode;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 规则节点业务对象 tbl_rules_node
 *
 * @author Lion Li
 * @date 2024-08-15
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = TblRulesNode.class, reverseConvertGenerate = false)
public class TblRulesNodeBo extends BaseEntity {

    /**
     * 编号
     */
    private Long id;

    /**
     * 名称
     */
    private String name;

    /**
     * 备注
     */
    private String remark;

    /**
     * 节点data
     */
    private String nodedata;

    /**
     * 节点页面
     */
    private String nodeui;

    /**
     * 节点配置页面
     */
    private String nodeconfigui;

    /**
     * 类型 1 节点 2 连接线
     */
    private String type;

    /**
     * 分类
     */
    private String category;

    /**
     * 
     */
    private String ext1;

    /**
     * 
     */
    private String ext2;

    /**
     * 状态 1 可用 0不可用
     */
    private String status;


}
