package org.dromara.domain.bo;

import org.dromara.domain.TblSensor;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 传感器列业务对象 tbl_sensor
 *
 * @author Lion Li
 * @date 2024-08-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = TblSensor.class, reverseConvertGenerate = false)
public class TblSensorBo extends BaseEntity {

    /**
     * 
     */
    private Long id;

    /**
     * 传感名称
     */
    private String name;

    /**
     * 传感编号
     */
    private String sn;

    /**
     * 传感器类型
     */
    private String sensorType;

    /**
     * 协议类型
     */
    private Long protocalType;

    /**
     * 描述
     */
    private String sensorDesc;

    /**
     * 状态
     */
    private String status;

    /**
     * 备注
     */
    private String remark;

    /**
     * 测点数据
     */
    private String datapoints;

    /**
     * 动作事件
     */
    private String events;

    /**
     * 故障事件
     */
    private String faults;

    /**
     * 扩展1
     */
    private String ext1;

    /**
     * 扩展2
     */
    private String ext2;


}
