package org.dromara.domain.bo;

import org.dromara.domain.TblSensorRecord;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 传感器实时数据业务对象 tbl_sensor_record
 *
 * @author Lion Li
 * @date 2024-08-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = TblSensorRecord.class, reverseConvertGenerate = false)
public class TblSensorRecordBo extends BaseEntity {

    /**
     * 
     */
    @NotNull(message = "不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 传感器id
     */
    @NotNull(message = "传感器id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long sensorId;

    /**
     * 测点名
     */
    @NotBlank(message = "测点名不能为空", groups = { AddGroup.class, EditGroup.class })
    private String pointName;

    /**
     * 测点数值
     */
    @NotBlank(message = "测点数值不能为空", groups = { AddGroup.class, EditGroup.class })
    private String pointValue;


}
