package org.dromara.domain.bo;

import org.dromara.domain.TblWarn;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 告警管理业务对象 tbl_warn
 *
 * @author Lion Li
 * @date 2024-08-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = TblWarn.class, reverseConvertGenerate = false)
public class TblWarnBo extends BaseEntity {

    /**
     * 
     */
    private Long id;

    /**
     * 告警名称
     */
    private String name;

    /**
     * 告警值
     */
    private String val;

    /**
     * 设备id
     */
    private Long sensorId;

    /**
     * 告警设备
     */
    private String sensorName;

    /**
     * 告警内容
     */
    private String content;

    /**
     * 处理人
     */
    private String handler;

    /**
     * 处理方式
     */
    private String handleWay;

    /**
     * 处理描述
     */
    private String handleContent;

    /**
     * 处理时间
     */
    private Date handleTime;

    /**
     * 告警时间
     */
    private Date alarmTime;

    /**
     * 状态 0待处理  1已处理
     */
    private String status;

    /**
     * 备注
     */
    private String remark;


}
