package org.dromara.domain.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.dromara.domain.TblBreakdown;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 故障管理视图对象 tbl_breakdown
 *
 * @author Lion Li
 * @date 2024-08-11
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = TblBreakdown.class)
public class TblBreakdownVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ExcelProperty(value = "")
    private Long id;

    /**
     * 故障名称
     */
    @ExcelProperty(value = "故障名称")
    private String name;

    /**
     * 故障值
     */
    @ExcelProperty(value = "故障值")
    private String val;

    /**
     * 设备id
     */
    @ExcelProperty(value = "设备id")
    private Long sensorId;

    /**
     * 故障设备
     */
    @ExcelProperty(value = "故障设备")
    private String sensorName;

    /**
     * 故障内容
     */
    @ExcelProperty(value = "故障内容")
    private String content;

    /**
     * 处理人
     */
    @ExcelProperty(value = "处理人")
    private String handler;

    /**
     * 处理方式
     */
    @ExcelProperty(value = "处理方式")
    private String handlerWay;

    /**
     * 处理描述
     */
    @ExcelProperty(value = "处理描述")
    private String handlerContent;

    /**
     * 处理时间
     */
    @ExcelProperty(value = "处理时间")
    private Date handlerTime;

    /**
     * 故障时间
     */
    @ExcelProperty(value = "故障时间")
    private Date faultTime;

    /**
     * 状态
     */
    @ExcelProperty(value = "状态")
    private String status;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
