package org.dromara.domain.vo;

import org.dromara.domain.TblRulesNode;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 规则节点视图对象 tbl_rules_node
 *
 * @author Lion Li
 * @date 2024-08-15
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = TblRulesNode.class)
public class TblRulesNodeVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ExcelProperty(value = "编号")
    private Long id;

    /**
     * 名称
     */
    @ExcelProperty(value = "名称")
    private String name;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;

    /**
     * 节点data
     */
    @ExcelProperty(value = "节点data")
    private String nodedata;

    /**
     * 节点页面
     */
    @ExcelProperty(value = "节点页面")
    private String nodeui;

    /**
     * 节点配置页面
     */
    @ExcelProperty(value = "节点配置页面")
    private String nodeconfigui;

    /**
     * 类型 1 节点 2 连接线
     */
    @ExcelProperty(value = "类型 1 节点 2 连接线")
    private String type;

    /**
     * 分类
     */
    @ExcelProperty(value = "分类")
    private String category;

    /**
     * 
     */
    @ExcelProperty(value = "")
    private String ext1;

    /**
     * 
     */
    @ExcelProperty(value = "")
    private String ext2;

    /**
     * 状态 1 可用 0不可用
     */
    @ExcelProperty(value = "状态 1 可用 0不可用")
    private String status;


}
