package org.dromara.domain.vo;

import org.dromara.domain.TblRules;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 规则视图对象 tbl_rules
 *
 * @author Lion Li
 * @date 2024-08-14
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = TblRules.class)
public class TblRulesVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ExcelProperty(value = "编号")
    private Long id;

    /**
     * 规则名称
     */
    @ExcelProperty(value = "规则名称")
    private String name;

    /**
     * 规则路由
     */
    @ExcelProperty(value = "规则路由")
    private String routes;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;

    /**
     * 扩展1
     */
    @ExcelProperty(value = "扩展1")
    private String ext1;

    /**
     * 扩展2
     */
    @ExcelProperty(value = "扩展2")
    private String ext2;

    /**
     * 状态  0未启用 1启用 
     */
    @ExcelProperty(value = "状态  0未启用 1启用 ")
    private String status;


    private Date createTime;
}
