package org.dromara.domain.vo;

import org.dromara.domain.TblSensorRecord;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 传感器实时数据视图对象 tbl_sensor_record
 *
 * @author Lion Li
 * @date 2024-08-11
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = TblSensorRecord.class)
public class TblSensorRecordVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ExcelProperty(value = "")
    private Long id;

    /**
     * 传感器id
     */
    @ExcelProperty(value = "传感器id")
    private Long sensorId;

    /**
     * 测点名
     */
    @ExcelProperty(value = "测点名")
    private String pointName;

    /**
     * 测点数值
     */
    @ExcelProperty(value = "测点数值")
    private String pointValue;


    private Date createTime;
}
