package org.dromara.domain.vo;

import org.dromara.domain.TblSensor;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 传感器列视图对象 tbl_sensor
 *
 * @author Lion Li
 * @date 2024-08-11
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = TblSensor.class)
public class TblSensorVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ExcelProperty(value = "")
    private Long id;

    /**
     * 传感名称
     */
    @ExcelProperty(value = "传感名称")
    private String name;

    /**
     * 传感编号
     */
    @ExcelProperty(value = "传感编号")
    private String sn;

    /**
     * 传感器类型
     */
    @ExcelProperty(value = "传感器类型")
    private String sensorType;

    /**
     * 协议类型
     */
    @ExcelProperty(value = "协议类型")
    private Long protocalType;

    /**
     * 描述
     */
    @ExcelProperty(value = "描述")
    private String sensorDesc;

    /**
     * 状态
     */
    @ExcelProperty(value = "状态")
    private String status;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;

    /**
     * 测点数据
     */
    @ExcelProperty(value = "测点数据")
    private String datapoints;

    /**
     * 动作事件
     */
    @ExcelProperty(value = "动作事件")
    private String events;

    /**
     * 故障事件
     */
    @ExcelProperty(value = "故障事件")
    private String faults;

    @ExcelProperty(value = "扩展1")
    private String ext1;

    /**
     * 扩展2
     */
    @ExcelProperty(value = "扩展2")
    private String ext2;

    @ExcelProperty(value = "创建时间")
    private Date createTime;

    @ExcelProperty(value = "创建部门")
    private Long createDept;

    private Integer faultCount;

}
