package org.dromara.domain.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.dromara.domain.TblWarn;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 告警管理视图对象 tbl_warn
 *
 * @author Lion Li
 * @date 2024-08-11
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = TblWarn.class)
public class TblWarnVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ExcelProperty(value = "")
    private Long id;

    /**
     * 告警名称
     */
    @ExcelProperty(value = "告警名称")
    private String name;

    /**
     * 告警值
     */
    @ExcelProperty(value = "告警值")
    private String val;

    /**
     * 设备id
     */
    @ExcelProperty(value = "设备id")
    private Long sensorId;

    /**
     * 告警设备
     */
    @ExcelProperty(value = "告警设备")
    private String sensorName;

    /**
     * 告警内容
     */
    @ExcelProperty(value = "告警内容")
    private String content;

    /**
     * 处理人
     */
    @ExcelProperty(value = "处理人")
    private String handler;

    /**
     * 处理方式
     */
    @ExcelProperty(value = "处理方式")
    private String handleWay;

    /**
     * 处理描述
     */
    @ExcelProperty(value = "处理描述")
    private String handleContent;

    /**
     * 处理时间
     */
    @ExcelProperty(value = "处理时间")
    private Date handleTime;

    /**
     * 告警时间
     */
    @ExcelProperty(value = "告警时间")
    private Date alarmTime;

    /**
     * 状态 0待处理  1已处理
     */
    @ExcelProperty(value = "状态 0待处理  1已处理")
    private String status;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
