package org.dromara.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.dromara.domain.TblSensorRecord;
import org.dromara.domain.vo.TblSensorRecordVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;
import java.util.Map;

/**
 * 传感器实时数据Mapper接口
 *
 * @author Lion Li
 * @date 2024-08-11
 */
public interface TblSensorRecordMapper extends BaseMapperPlus<TblSensorRecord, TblSensorRecordVo> {

    public void createTable(Map<String,Object> map);

    public Integer insertData(TblSensorRecord record);

    public IPage<TblSensorRecordVo> selectDataPage(Page<?> page, @Param("t") TblSensorRecord record);

    public List<TblSensorRecordVo> selectData(TblSensorRecord record);
}
