package org.dromara.service;

import org.dromara.domain.vo.TblWarnVo;
import org.dromara.domain.bo.TblWarnBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 告警管理Service接口
 *
 * @author Lion Li
 * @date 2024-08-11
 */
public interface ITblWarnService {

    /**
     * 查询告警管理
     *
     * @param id 主键
     * @return 告警管理
     */
    TblWarnVo queryById(Long id);

    /**
     * 分页查询告警管理列表
     *
     * @param bo        查询条件
     * @param pageQuery 分页参数
     * @return 告警管理分页列表
     */
    TableDataInfo<TblWarnVo> queryPageList(TblWarnBo bo, PageQuery pageQuery);

    /**
     * 查询符合条件的告警管理列表
     *
     * @param bo 查询条件
     * @return 告警管理列表
     */
    List<TblWarnVo> queryList(TblWarnBo bo);

    /**
     * 新增告警管理
     *
     * @param bo 告警管理
     * @return 是否新增成功
     */
    Boolean insertByBo(TblWarnBo bo);

    /**
     * 修改告警管理
     *
     * @param bo 告警管理
     * @return 是否修改成功
     */
    Boolean updateByBo(TblWarnBo bo);

    /**
     * 校验并批量删除告警管理信息
     *
     * @param ids     待删除的主键集合
     * @param isValid 是否进行有效性校验
     * @return 是否删除成功
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
