package org.dromara.system.domain.bo;

import org.dromara.system.domain.TblPage;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 页面业务对象 tbl_page
 *
 * @author Lion Li
 * @date 2024-07-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = TblPage.class, reverseConvertGenerate = false)
public class TblPageBo extends BaseEntity {

    /**
     * 编号
     */
    @NotNull(message = "编号不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 页面名称
     */
    @NotBlank(message = "页面名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String name;

    /**
     * 页面数据
     */
    @NotBlank(message = "页面数据不能为空", groups = { AddGroup.class, EditGroup.class })
    private String content;

    /**
     * 扩展1
     */
    @NotBlank(message = "扩展1不能为空", groups = { AddGroup.class, EditGroup.class })
    private String ext1;

    /**
     * 扩展2
     */
    @NotBlank(message = "扩展2不能为空", groups = { AddGroup.class, EditGroup.class })
    private String ext2;


}
