package org.dromara.system.domain.vo;

import org.dromara.system.domain.TblPage;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 页面视图对象 tbl_page
 *
 * @author Lion Li
 * @date 2024-07-26
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = TblPage.class)
public class TblPageVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ExcelProperty(value = "编号")
    private Long id;

    /**
     * 页面名称
     */
    @ExcelProperty(value = "页面名称")
    private String name;

    /**
     * 页面数据
     */
    @ExcelProperty(value = "页面数据")
    private String content;

    /**
     * 扩展1
     */
    @ExcelProperty(value = "扩展1")
    private String ext1;

    /**
     * 扩展2
     */
    @ExcelProperty(value = "扩展2")
    private String ext2;


}
